---
lang: en
title: 'API docs: boot.repositorybooter.(constructor)'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.boot.repositorybooter.(constructor).html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/boot](./boot.md) &gt; [RepositoryBooter](./boot.repositorybooter.md) &gt; [(constructor)](./boot.repositorybooter.(constructor).md)

## RepositoryBooter.(constructor)

Constructs a new instance of the `RepositoryBooter` class

<b>Signature:</b>

```typescript
constructor(app: ApplicationWithRepositories, projectRoot: string, repositoryOptions?: ArtifactOptions);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  app | <code>ApplicationWithRepositories</code> |  |
|  projectRoot | <code>string</code> |  |
|  repositoryOptions | <code>ArtifactOptions</code> |  |


